【活用ガイド】

[English]

JVNDB-2020-000011

HtmlUnit において任意のコードが実行可能な脆弱性

概要

HtmlUnit は、Java アプリケーションに web ブラウザ機能を提供するライブラリです。内部に組み込まれている Mozilla Rhino エンジンにより、JavaScript コードの実行にも対応しています。また、Mozilla Rhino エンジンは、JavaScript コードから Java オブジェクトへのアクセスを可能とする機能を提供しています。
HtmlUnit による Rhino エンジンの初期化には不適切な部分が存在し、細工された JavaScript コードによって任意の Java コードを実行させられる可能性があります(CWE-284)。
また、HtmlUnit を Android アプリケーションに組み込んで使う場合も、HtmlUnit による Rhino エンジンの Android 向け初期化に不適切な部分があるため、細工された JavaScript コードによって任意の Java コードを実行させられる可能性があります。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: 合同会社DMM.com 市原良平 氏

CVSS による深刻度 (CVSS とは?)

CVSS v3 による深刻度
基本値: 5.6 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 高
  • 攻撃に必要な特権レベル: 不要
  • 利用者の関与: 不要
  • 影響の想定範囲: 変更なし
  • 機密性への影響(C): 低
  • 完全性への影響(I): 低
  • 可用性への影響(A): 低
CVSS v2 による深刻度
基本値: 5.1 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 高
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的
影響を受けるシステム


HtmlUnit
  • HtmlUnit 2.37.0 より前のバージョン

想定される影響

中間者攻撃(Man-In-The-Middle attack)などの方法により、対象とするアプリケーションが細工された JavaScript コードを実行し、それによって任意の Java コードを実行させられる可能性があります。
対策

[アップデートする]
開発者が提供する情報をもとに、最新版へアップデートしてください。
ベンダ情報

HtmlUnit
CWEによる脆弱性タイプ一覧  CWEとは?

  1. 認可・権限・アクセス制御(CWE-264) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2020-5529
参考情報

  1. JVN : JVN#34535327
更新履歴

  • [2020年02月10日]
      掲載